3 Replies Latest reply: Sep 19, 2010 7:10 AM by Jolly Giant
wterpenn Level 1 Level 1
Hi all. Wanted to know what I can do about installation of ITunes. My Ipod touch requires ITunes 9.2 for syncing, but all I can do is install Itunes 10. Itunes 10 requires Mac OSX leapord, but my Mac is not strong enough for Leapord so i am a bit stuck. Any suggestions?

Mac OS X (10.4.6)
Reply by Jolly Giant on Sep 19, 2010 6:43 AM Helpful
get iTunes 9.2.1 from [here|http://support.apple.com/kb/DL1056].

however, you'd need to update to OS X 10.4.11 in order for it to run.

download and run the [_*Mac OS X 10.4.11 Combo Update*|http://support.apple.com/downloads/Mac_OS_X_10_4_11_Combo_Update__Intel]. repair permissions before and after running the updater.

when done, run software update from the  menu and install any updates offered, then install iTunes 9.2.1.

JGG

All replies